C ----------------------------------------------------------------------
C [buffers.inc]        Author: R.A. Jansen -- Version date: Mar 18, 2013
C ----------------------------------------------------------------------

C @(#)Include: buffers.inc
C @(#)   Declare default maximum buffer sizes.  The present file will be
C @(#)   the *only* file that needs modification, should any buffer need
C @(#)   increasing or decreasing (within reason).

C --- maximum pixel buffer sizes, limiting an image to MAXSIZ1 x MAXSIZ2
C     pixels,  with pixel (x,y) = (1,1) denoting the lower left pixel in
C     an image.  There is also a minimum image size of MINSIZ1 x MINSIZ2
C     pixels, to ensure valid N-dimensional arrays where appropriate...
      INTEGER	MAXAX
      PARAMETER (MAXAX=2)
      INTEGER	MINSIZ1, MAXSIZ1, MINSIZ2, MAXSIZ2
C      PARAMETER (MINSIZ1=2, MAXSIZ1=4096, MINSIZ2=2, MAXSIZ2=4096)
      PARAMETER (MINSIZ1=2, MAXSIZ1=8192, MINSIZ2=2, MAXSIZ2=8192)

C --- maximum number of FITS extensions..
      INTEGER	MAXEXT
      PARAMETER (MAXEXT=256)

C --- maximum number of 80-character header records in primary and
C     extension header units combined..
      INTEGER	MAXREC
      PARAMETER (MAXREC=65536)
